--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
on new (me,p1)
  me._class = #FileSystemWatcher
  me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
  --newObject object me, symbol objectClass, *parentwidgetID
  if voidP(p1) then me._id = $.Qt._qx.newObject(me._class)
	else me._id = $.Qt._qx.newObject(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #FileSystemWatcher
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- addPath (string path)
on addPath (me,p1)
  $.Qt._qx.callObject(me._id,#addPath,p1)
end

-- removePath (string path)
on removePath (me,p1)
  $.Qt._qx.callObject(me._id,#removePath,p1)
end

-- addPaths (list paths)
-- removePaths (list paths)

-- directories -> list
-- files -> list

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- directoryChanged -> string path
on directoryChanged(me,id,p1)
  me._detach(#directoryChanged,me,p1)
end

-- fileChanged -> string path
on fileChanged(me,id,p1)
  me._detach(#fileChanged,me,p1)
end
