--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new ()
on new (me)
  me._class = #Palette
  me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
  me._id = $.Qt._qx.newObject(me._class)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #Palette
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- color (int,*int) -> color
on color (me,p1,p2)
  return $.Qt._qx.callObject(me._id,#color,p1,p2)
end

-- setColor (int,color,*int)
on setColor (me,p1,p2,p3)
  $.Qt._qx.callObject(me._id,#setColor,p1,p2,p3)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------
