--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #Frame
  me.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	obj._class = #Frame
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- setFrameRect (rect)
on setFrameRect (me,p1)
  $.Qt._qx.callWidget(me._id,#setFrameRect,p1)
end

-- setFrameShadow (int)
on setFrameShadow (me,p1)
  $.Qt._qx.callWidget(me._id,#setFrameShadow,p1)
end

-- setFrameShape (int)
on setFrameShape (me,p1)
  $.Qt._qx.callWidget(me._id,#setFrameShape,p1)
end

-- setFrameStyle (int)
on setFrameStyle (me,p1)
  $.Qt._qx.callWidget(me._id,#setFrameStyle,p1)
end

-- setLineWidth (int)
on setLineWidth (me,p1)
  $.Qt._qx.callWidget(me._id,#setLineWidth,p1)
end

-- setMidLineWidth (int)
on setMidLineWidth (me,p1)
  $.Qt._qx.callWidget(me._id,#setMidLineWidth,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------
